Enable or change the Safe House posture for an org
curl --request POST \
--url https://api.mnemom.ai/v1/orgs/{org_id}/safe-house/enable \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"mode": "observe"
}
'import requests
url = "https://api.mnemom.ai/v1/orgs/{org_id}/safe-house/enable"
payload = { "mode": "observe" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({mode: 'observe'})
};
fetch('https://api.mnemom.ai/v1/orgs/{org_id}/safe-house/enable', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}Organizations
Enable or change the Safe House posture for an org
Customer-admin entry point to set the Safe House mode for an organization.
POST
/
orgs
/
{org_id}
/
safe-house
/
enable
Enable or change the Safe House posture for an org
Authorizations
BearerAuthApiKeyAuth
Supabase JWT token in Authorization: Bearer header
Path Parameters
Organization identifier (e.g. org-abc12345)
Body
application/json
Target Safe House mode. Defaults to observe when omitted.
Available options:
disabled, off, observe, enforce, enforce_sync Response
Mode applied. Response shape mirrors the staff endpoint.
The response is of type object.
⌘I